import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';
import { provideNativeDateAdapter } from '@angular/material/core';

import { MenuItems } from '@components/shared';
import { JumpComponent } from './jump.component';

describe('JumpComponent', () => {
  let component: JumpComponent;
  let fixture: ComponentFixture<JumpComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [JumpComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideAnimations(),
        provideNativeDateAdapter(),
        MenuItems,
      ],
    })
    .compileComponents();
    
    fixture = TestBed.createComponent(JumpComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
